#if defined BossHP_included
	#endinput
#endif

#define BossHP_included

#include <basic>
#include "BossHP/CConfig.inc"
#include "BossHP/CBoss.inc"

forward void OnBossIntialized(CBoss Boss, CConfig Config);

forward void OnBossDamaged(CBoss Boss, CConfig Config, int activator, float damage);

forward void OnBossKilled(CBoss Boss, CConfig Config, int reason); // reasons: 0 = RoundEnd/MapEnd, 1 = KillTrigger, 2 = Death.
